ERP

capacity

10 endpoints · /api/erp/v1/capacity

Request examples are generated from each endpoint's REAL method and path. 10 endpoints have no hand-verified body example yet; their skeleton has no body — we do not invent field names.

POST/api/erp/v1/capacity/calendar/generate

Generate calendar

Oturum
İstek
curl -X POST "https://{slug}.erp.blesyum.app/api/erp/v1/capacity/calendar/generate" \
  -H "Authorization: Bearer <oturum-token>" \
  -H "Accept: application/json"
Yanıt
{
  "data": "…",
  "trace_id": "01JC…"
}
POST/api/erp/v1/capacity/calendar/override

Capacity override

Oturum
İstek
curl -X POST "https://{slug}.erp.blesyum.app/api/erp/v1/capacity/calendar/override" \
  -H "Authorization: Bearer <oturum-token>" \
  -H "Accept: application/json"
Yanıt
{
  "data": "…",
  "trace_id": "01JC…"
}
GET/api/erp/v1/capacity/holidays

List capacity holidays

Oturum
İstek
curl -X GET "https://{slug}.erp.blesyum.app/api/erp/v1/capacity/holidays" \
  -H "Authorization: Bearer <oturum-token>" \
  -H "Accept: application/json"
Yanıt
{
  "data": "…",
  "trace_id": "01JC…"
}
POST/api/erp/v1/capacity/holidays

Add capacity holiday

Oturum
İstek
curl -X POST "https://{slug}.erp.blesyum.app/api/erp/v1/capacity/holidays" \
  -H "Authorization: Bearer <oturum-token>" \
  -H "Accept: application/json"
Yanıt
{
  "data": "…",
  "trace_id": "01JC…"
}
DELETE/api/erp/v1/capacity/holidays/{id}

Remove holiday

OturumYol parametresi: id
İstek
curl -X DELETE "https://{slug}.erp.blesyum.app/api/erp/v1/capacity/holidays/<id>" \
  -H "Authorization: Bearer <oturum-token>" \
  -H "Accept: application/json"
Yanıt
{
  "data": "…",
  "trace_id": "01JC…"
}
GET/api/erp/v1/capacity/shifts

List wc shifts

Oturum
İstek
curl -X GET "https://{slug}.erp.blesyum.app/api/erp/v1/capacity/shifts" \
  -H "Authorization: Bearer <oturum-token>" \
  -H "Accept: application/json"
Yanıt
{
  "data": "…",
  "trace_id": "01JC…"
}
POST/api/erp/v1/capacity/shifts

Add shift

Oturum
İstek
curl -X POST "https://{slug}.erp.blesyum.app/api/erp/v1/capacity/shifts" \
  -H "Authorization: Bearer <oturum-token>" \
  -H "Accept: application/json"
Yanıt
{
  "data": "…",
  "trace_id": "01JC…"
}
DELETE/api/erp/v1/capacity/shifts/{id}

Remove shift

OturumYol parametresi: id
İstek
curl -X DELETE "https://{slug}.erp.blesyum.app/api/erp/v1/capacity/shifts/<id>" \
  -H "Authorization: Bearer <oturum-token>" \
  -H "Accept: application/json"
Yanıt
{
  "data": "…",
  "trace_id": "01JC…"
}
GET/api/erp/v1/capacity/work-centers/{id}/minutes

Capacity minutes

OturumYol parametresi: id
İstek
curl -X GET "https://{slug}.erp.blesyum.app/api/erp/v1/capacity/work-centers/<id>/minutes" \
  -H "Authorization: Bearer <oturum-token>" \
  -H "Accept: application/json"
Yanıt
{
  "data": "…",
  "trace_id": "01JC…"
}
GET/api/erp/v1/capacity/work-centers/{id}/trend

Utilization trend

OturumYol parametresi: id
İstek
curl -X GET "https://{slug}.erp.blesyum.app/api/erp/v1/capacity/work-centers/<id>/trend" \
  -H "Authorization: Bearer <oturum-token>" \
  -H "Accept: application/json"
Yanıt
{
  "data": "…",
  "trace_id": "01JC…"
}
Bu sayfa işine yaradı mı?